Subject: Re: bug#74813: 31.0.50; scroll-down is 10x slower and laggy than scroll-up

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Mar 2025 19:00:15 -0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 10 Jan 2025 16:04:47 +0800
>> From: [email-masked]
>>
>> My auto-repeat rate is 100 times/second
>
> Mine is 30/sec.  Maybe this is the reason for what you see.
> Programmatically, M-v needs to do more than C-v does, so if your CPU
> is not powerful enough, maybe Emacs cannot keep up with 100 keys per
> second moving back.
>
> If this is the reason, then it's expected.
>
>> It's hard to notice performance difference by eyes and hands.
>> You can do profiler-start (cpu) and profiler-report, then you will notice
>> the profiler result is totally different.
>
> The profiler result is expected to be different, because M-v invokes
> different functions than C-v does.
>
> What I measured is the total time of scrolling through the entire
> file, and I didn't see any difference, as reported: 35 sec both down
> and up.  I measured the time with a stopper, not by eyes.

It sounds like this is just the expected behavior here.  So I guess we
should just close this?